Subject: RE: Comments on Fast Reroute draft

From: Shahram Davari <[email-masked]>
Date: Fri, 9 Aug 2002 10:45:44 -0700

Hi Ping,

Thanks for your reply. Please see some further remarks:

-Shahram

>  
> > 2) Is the meaning of the following flags combinations in 
> session_attribute as indicated:
> > 
> > (Local protection desired =0) & (Node protection desired 
> =0)-> No protection
> > (Local protection desired =0) & (Node protection desired 
> =1)-> Node protection
> > (Local protection desired =1) & (Node protection desired 
> =0)-> Link protection
> > (Local protection desired =1) & (Node protection desired 
> =1)-> Node protection
> > (Local protection desired =1) & (no Session_Attribute 
> object)-> Local policy
> > 
> > Please clarify the correct meaning in the text.
> >
> 
> 
> What's been described in SAO is a user's desire. The routers 
> may not be 
> able to support it. For example, when a user asks for 
> local-protection-desired and node-protection-desried, if a backup LSP 
> cannot be established to skip the node, well, tough! ;-) Depending on 
> the implementation, link protection may be used only instead.

Sure, but what I meant was, which one is desired by the user.
Therefore I think it needs to be clarified.

> 
> > 11) Section 8.1 talks about sending Path Error to notify 
> the ingress LSR
> > of the fast protection event. For how long and with what 
> intervals is this
> > Path_ERROR transmitted?
> > 
> 
> 
> Path_Error messages are reference messages to the ingress. In other 
> words, they are not that important. So a router can take its time to 
> send the error messages. BTW, when a link/node goes down, it 
> is possible 
> that a router shoots out multiple error messages. One is to 
> inform the 
> ingress that the link/node is found to be dead. After the 
> local repair, 
> the node will tell the ingress "the LSP has been locally repaired".

My question was, does the PLR send the Error message periodically or only once?

> 
> 
> > 12) Section 9.2 permits having both types of protection 
> (1-to-1 and facility) for the same PLR. 
> 
> > In that case how can it inform the ingress LSR that both
> > protections are available?
> > 
> 
> 
> RRO tells the ingress that the traffic has been protected. Is 
> it enough? 
>   If not, there is a MIB draft on fast-reroute. ;-)

I think it depends on which procedure is used to compute the
Bypass tunnels. If the ingress computes the bypass tunnel, then
it may need this info. And BTW, what is the relevance of MIB here?

---

From: Ping Pan <[email-masked]>
Date: Fri, 09 Aug 2002 10:59:43 -0700

> Therefore I think it needs to be clarified.

OK.

> My question was, does the PLR send the Error message periodically or only once?

Hmmmm.... I see what you mean. The RSVP RFC didn't say how many error 
messages to be sent per error condition. In case of node/link failure, 
if the code was written in such a way to check the link/node status at 
every Path refresh cycle, an Path error may be generated every time. 
However, I don't think this is harmful. Of course you can coded it 
differently.

> it may need this info. And BTW, what is the relevance of MIB here?

The ingress does not need to compute the bypass tunnel. Bypass tunnel 
computation could be a local decision.

http://www.ietf.org/internet-drafts/draft-ietf-mpls-fastreroute-mib-00.txt

- Ping